Description
I've noticed some issues with single use teleporters. It has happend in Doom and Heretic, no idea how Hexen teleports behave.

1) Any Missile object pass through the line from either side: the line was used and no longer works for players or monsters.
2) Some other object pass through the line from the backside: the line was used...

In both cases there is no teleportation, just the line becomes used. Single use doors, etc seem to work even if missile objects have
been shot through them.

History

#1 - 2012-12-07 15:10 - skyjake

- labels: Single Use Teleporter Malfunction --> Teleport, Doom, Heretic, Gameplay
- priority: 1 --> 2

#2 - 2012-12-07 21:56 - skyjake

How often does this occur?

#3 - 2014-04-27 22:31 - sonicdoommatrio
- File teleport.wad added

| did a test of the second issue, and it appears to be a problem in Vanilla Doom as well. If you walk over the back side of a teleport line that can only
be used once, the teleport line will no longer be active and cannot be used to teleport, even if you walk over the front side of the line. | thought this
was a problem exclusively to Doomsday, but | got the same issue in Vanilla Doom too.

Here is a WAD to test this out. You are facing a blue floor. Crossing onto the blue floor will teleport you backwards. However, you can use that tunnel
on the left to get to the other side of the blue floor (and to the back side of the teleport line). What you can do is used that tunnel, cross from the blue
floor back to the tan floor (and crossing the back side of the teleport line), and THEN try to walk over the front of the teleport line to try and teleport,
but then you'll notice that it won't work.

| tried reproducing the first issue (in Doom, at least), but | wasn't able to replicate the problem. | fired Rockets, Plasma Cells, and a BFG over both
sides of the teleport line, but | was still able to teleport without a problem. Maybe the first issue is Heretic-related, but | have no expertise in that area...

#4 - 2014-04-27 23:08 - vermil
Neither of these issues are bugs in Dday and actually quirks of Vanilla Doom and Heretic that Dday replicates.

Issue 2:
Walk over triggers are activated regardless of the side the player (or bad guy in some cases) crosses them from.

However, teleport triggers will only actually teleport a mobj if a mobj crosses them from the front side.
This has the side effect that if a mobj crosses the back side of a single use teleporter line, that it is used up even though it doesn't teleport anything.

Issue 1:
Nearly any mobj can use a teleport trigger, with the following exceptions.

Doom: anything with the mf_missile or mf_noclip flags.
Heretic: anything with the mf_noteleport flag.

Naturally, in reality most mobjs will never trigger a teleport (i.e as a torch can't move for instance).

With Doom, mobjs with the mf_missile or mf_noclip flags don't trigger a teleport trigger at all when they cross one, thus they don't use it up.
However in Heretic, mobjs with mf_noteleport (nearly all projectiles have this flag for instance) will still trigger a teleporter trigger they cross, even

though they aren't actually teleported. Hence they use up single use teleport triggers, even though they aren't teleported.

#5 - 2014-04-28 07:11 - skyjake
- Tags set to Doom, Heretic, Gameplay
- Category set to Vanilla emulation

- Target version deleted (1.9.9)

#6 - 2014-04-28 07:11 - skyjake

- Description updated

#7 - 2015-03-07 04:02 - danij

- Status changed from New to Rejected

Files
teleport.wad 1.69 KB 2014-04-27 sonicdoommario
